
/* maximum (?) 2779000000L auf sec22c13 */
#define MXSMP 1000000000L
/* default = 100000000L */
/* 16GB core memory usage corresponds to MXSMP=1432000000 with 3 channels, equivalent to 165 recording days @ 100SPS w/o GPS */
#define VERSION "5.0-010117"

  char			GIPP_V[100]=".",DEV_NO[100]=".",E_NAME[100]=".",S_TIME[100]=".",S_DATE[100]=".",GPS_PO[100]=".",DAT_NO[100]=".";
  int			P_AMPL=-1,CH_NUM=-1,S_RATE=-1,D_FILT=-1,F_TIME=-1,GPS_TI=-1,GPS_OF=-1,A_FILT=-1,A_PHAS=-1,GPS_ON=-1,ACQ_ON=-1,D_VOLT=-1,E_VOLT=-1;
  int			V_TCXO=-1,C_MODE=-1,A_CHOP=-1,PLL_XO=-1,AQ_MOD=-1,B_VOLT=-1;

  char			aux_units[40][15]={"cnts","CPS","mkV","mV","mkA","mA","mkW","mW","mOhm","Ohm","kOhm","mkS","mS","m°C","mK","°","mLUX","LUX","mbar","Pa","kPa","ns","mks","s","min","hh","mHz","Hz","kHz","Mhz","m/s","km/s","km/h","%rel F","0/00 rel. F","m% rel F","N","nm","mT","T"};

#define SC_STR  &GIPP_V,&DEV_NO,&E_NAME,&P_AMPL,&CH_NUM,&S_RATE,&D_FILT,&C_MODE,&A_CHOP,&F_TIME,&GPS_TI,&GPS_OF,&A_FILT,&A_PHAS,&GPS_ON,&ACQ_ON,&PLL_XO,&AQ_MOD,&V_TCXO,&GPS_PO,&S_TIME,&S_DATE,&D_VOLT,&E_VOLT,&B_VOLT,&DAT_NO
#define PR_STR   GIPP_V,DEV_NO,E_NAME,P_AMPL,CH_NUM,S_RATE,D_FILT,C_MODE,A_CHOP,F_TIME,GPS_TI,GPS_OF,A_FILT,A_PHAS,GPS_ON,ACQ_ON,PLL_XO,AQ_MOD,V_TCXO,GPS_PO,S_TIME,S_DATE,D_VOLT,E_VOLT,B_VOLT,DAT_NO
#define STR_FORMAT "%s %s %s %d %d %d %d %d %d %d %d %d %d %d %d %d %d %d %d %s %s %s %d %d %d %s"

/* leap second definitions */
#define NOLS 27

const int leapsecond_dates[NOLS][7] = {	
{1972 ,  6 ,30 , 23 , 59 , 59 , -9},
{1972 , 12 ,31 , 23 , 59 , 59 , -8},
{1973 , 12 ,31 , 23 , 59 , 59 , -7},
{1974 , 12 ,31 , 23 , 59 , 59 , -6},
{1975 , 12 ,31 , 23 , 59 , 59 , -5},
{1976 , 12 ,31 , 23 , 59 , 59 , -4},
{1977 , 12 ,31 , 23 , 59 , 59 , -3},
{1978 , 12 ,31 , 23 , 59 , 59 , -2},
{1979 , 12 ,31 , 23 , 59 , 59 , -1},
{1981 ,  6 ,30 , 23 , 59 , 59 ,  0},
{1982 ,  6 ,30 , 23 , 59 , 59 ,  1},
{1983 ,  6 ,30 , 23 , 59 , 59 ,  2},
{1985 ,  6 ,30 , 23 , 59 , 59 ,  3},
{1987 , 12 ,31 , 23 , 59 , 59 ,  4},
{1989 , 12 ,31 , 23 , 59 , 59 ,  5},
{1990 , 12 ,31 , 23 , 59 , 59 ,  6},
{1992 ,  6 ,30 , 23 , 59 , 59 ,  7},
{1993 ,  6 ,30 , 23 , 59 , 59 ,  8},
{1994 ,  6 ,30 , 23 , 59 , 59 ,  9},
{1995 , 12 ,31 , 23 , 59 , 59 , 10},
{1997 ,  6 ,30 , 23 , 59 , 59 , 11},
{1998 , 12 ,31 , 23 , 59 , 59 , 12},
{2005 , 12 ,31 , 23 , 59 , 59 , 13},
{2008 , 12 ,31 , 23 , 59 , 59 , 14},
{2012 ,  6 ,30 , 23 , 59 , 59 , 15},
{2015 ,  6 ,30 , 23 , 59 , 59 , 16},
{2016 , 12 ,31 , 23 , 59 , 59 , 17}
};
